options linesize=95;
options pagesize=55;

filename carsraw 'c:\temp\auto1.txt';
data cars;
  infile carsraw;
  input obs        1-3
        make    $  5-25
        price     28-33
        mpg       42-43
        rel       53-53
        country $ 56-63
        weight    65-73;

  if country = "Domestic" then dom=1;
  if country ~= "Domestic" then dom=0;

  if price eq . then delete;
  if mpg eq . then delete;
  if rel eq . then delete;
  if weight eq . then delete;
  if dom eq . then delete;
run;

proc contents;

proc corr;

proc reg;
  model price = dom;
  model price = dom weight rel mpg;
  model price = dom weight rel mpg / COVB;

proc glm;
  model price = dom weight rel mpg;
  estimate "w up 500 mpg dn 2" weight 500 mpg -2;

run;
